//! Compile-time parameters

// TODO: many of these should be moved to a config file or cli option

/// We can draw at most this many object sprites on the screen.
pub const OBJECT_SPRITE_INSTANCE_LIMIT: u64 = 500;

/// We can draw at most this many ui sprites on the screen.
pub const UI_SPRITE_INSTANCE_LIMIT: u64 = 100;

/// We can draw at most this many radual bars on the screen.
/// This is fairly small, since we know exactly how many of these we'll draw (for now)
pub const RADIALBAR_SPRITE_INSTANCE_LIMIT: u64 = 10;

/// The size of our circular particle buffer. When we create particles, the oldest ones are replaced.
pub const PARTICLE_SPRITE_INSTANCE_LIMIT: u64 = 1000;

/// The maximum number of sprites we can define
pub const SPRITE_LIMIT: u32 = 1024;

/// The maximum number of images we can load
pub const IMAGE_LIMIT: u32 = 1024;

/// Where we should look for packed assets
pub const ASSET_CACHE: &'static str = "./cache";
